Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.semanticweb.owl.io.vocabulary
Class XMLSchemaSimpleDatatypeVocabulary

    java.lang.Object
      |
      +--org.semanticweb.owl.io.vocabulary.XMLSchemaSimpleDatatypeVocabulary

public class XMLSchemaSimpleDatatypeVocabulary
extends Object

Provides access to those XMLS Simple Datatypes, that is a subset of (Primitive and Derived Datatypes) which make sense for OWL and RDF.

Since:
  04.02.2003

Field Summary
`static XMLSchemaSimpleDatatypeVocabulary` | `INSTANCE`
`static String` | `XS`

Constructor Summary
`protected` | `XMLSchemaSimpleDatatypeVocabulary()`

Method Summary
`String` | `getAnyURI()`
`String` | `getBase64Binary()`
`String` | `getBoolean()`
`String` | `getByte()`
`Set` | `getDatatypes()`
`String` | `getDate()`
`String` | `getDateTime()`
`String` | `getDecimal()`
`String` | `getDouble()`
`String` | `getDuration()`
`String` | `getFloat()`
`String` | `getGDay()`
`String` | `getGMonth()`
`String` | `getGMonthDay()`
`String` | `getGYear()`
`String` | `getGYearMonth()`
`String` | `getHexBinary()`
`String` | `getInt()`
`String` | `getInteger()`
`String` | `getLanguage()`
`String` | `getLong()`
`String` | `getName()`
`String` | `getNCName()`
`String` | `getNegativeInteger()`
`String` | `getNMTOKEN()`
`String` | `getNonNegativeInteger()`
`String` | `getNonPositiveInteger()`
`String` | `getNormalizedString()`
`String` | `getPositiveInteger()`
`String` | `getShort()`
`String` | `getString()`
`String` | `getTime()`
`String` | `getToken()`
`String` | `getUnsignedByte()`
`String` | `getUnsignedInt()`
`String` | `getUnsignedLong()`
`String` | `getUnsignedShort()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### INSTANCE

    public static XMLSchemaSimpleDatatypeVocabulary INSTANCE

### XS

    public static final String XS

See Also:
  Constant Field Values

Constructor Detail

### XMLSchemaSimpleDatatypeVocabulary

    protected XMLSchemaSimpleDatatypeVocabulary()

Method Detail

### getString

    public String getString()

### getBoolean

    public String getBoolean()

### getDecimal

    public String getDecimal()

### getFloat

    public String getFloat()

### getDouble

    public String getDouble()

### getDuration

    public String getDuration()

### getDateTime

    public String getDateTime()

### getTime

    public String getTime()

### getDate

    public String getDate()

### getGYearMonth

    public String getGYearMonth()

### getGYear

    public String getGYear()

### getGMonthDay

    public String getGMonthDay()

### getGDay

    public String getGDay()

### getGMonth

    public String getGMonth()

### getHexBinary

    public String getHexBinary()

### getBase64Binary

    public String getBase64Binary()

### getAnyURI

    public String getAnyURI()

### getNormalizedString

    public String getNormalizedString()

### getToken

    public String getToken()

### getLanguage

    public String getLanguage()

### getNMTOKEN

    public String getNMTOKEN()

### getName

    public String getName()

### getNCName

    public String getNCName()

### getInteger

    public String getInteger()

### getNonPositiveInteger

    public String getNonPositiveInteger()

### getNegativeInteger

    public String getNegativeInteger()

### getLong

    public String getLong()

### getInt

    public String getInt()

### getShort

    public String getShort()

### getByte

    public String getByte()

### getNonNegativeInteger

    public String getNonNegativeInteger()

### getUnsignedLong

    public String getUnsignedLong()

### getUnsignedInt

    public String getUnsignedInt()

### getUnsignedShort

    public String getUnsignedShort()

### getUnsignedByte

    public String getUnsignedByte()

### getPositiveInteger

    public String getPositiveInteger()

### getDatatypes

    public Set getDatatypes()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WonderWeb